Bug 702352 - Brightness adjustment FN keys doesn't work
Brightness adjustment FN keys doesn't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 08:31 EDT by Miguel Mora
Modified: 2014-05-23 14:23 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-23 03:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
var/log/messages file (1.09 MB, text/plain)
2011-05-19 13:32 EDT, Miguel Mora
no flags Details

  None (edit)
Description Miguel Mora 2011-05-05 08:31:39 EDT
Description of problem:

I have a Toshiba Satellite S5955 laptop. When I use the FN+F6/F7 to decrease/increase the brightness, it doesn't work. I can do it from Activities/Applications/System Tools/System Configuration/Screen and I need to do it every time and when I boot or reboot, because the brightness level always is at the maximum value at start-up.

I use them a lot because I need to constant switch the brightness level for reading/drawing/web-browsing/watch videos etc, so it's really uncomfortable to do it from Activities[...]Screen option.

I've solved the last issue (brightness level at start-up) with the help of dconf-editor, setting the brightness level to 50 on AC and battery modes.

I've marked the bug in the gnome-panel component, because I have found a "solution". When I remove gnome-panel and gnome-shell, install them again and then reboot, the FN+F6/F7 keys works. But when I reboot again, the issue appears as before.

Version-Release number of selected component (if applicable):

gnome-panel 3.0.0.1
gnome-shell 3.0.1


How reproducible:

Always

Steps to Reproduce:
1. Try to increase/decrease the brightness level from FN+F6/F7 keys.
2. Nothing happens.
3.
  
Actual results:

Same bug since a new installation to the actual system with all updates installed, always can be "solved" as described above.

Expected results:

FN+F6 decrease and FN+F7 increase brightness level.

Additional info:

Other FN+FX works fine, like FN+F11 (toggle numpad on/off), FN+Esc (Mute) and FN+F3/F4 (suspend/hibernate).
Comment 1 Miguel Mora 2011-05-05 08:52:56 EDT
[Update] I have tried to remove gnome-shell and gnome-panel and then installed againd, rebooted and nothing happens now, so it's not a solution anymore.
Comment 2 Elad Alfassa 2011-05-05 13:11:13 EDT
Not related to gnome. I'll move it to pm-utils, so power management folks could look at it.
(pm-utils folks, please change the component as appropriate if I'm wrong. Thanks)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Jaroslav Škarvada 2011-05-16 08:05:58 EDT
It does not seem to be related to pm-utils.

Please provide output of:
# pm-utils-bugreport-info.sh

Are there correct ACPI events emitted? Please try:
# acpi_listen

Then try to change brightness via FN keys. It should output something similar to:
video/brightnessup BRTUP 00000086 00000000
video/brightnessdown BRTDN 00000087 00000000
Comment 4 Miguel Mora 2011-05-16 13:21:54 EDT
(In reply to comment #3)
> It does not seem to be related to pm-utils.
> 
> Please provide output of:
> # pm-utils-bugreport-info.sh
> 
> Are there correct ACPI events emitted? Please try:
> # acpi_listen
> 
> Then try to change brightness via FN keys. It should output something similar
> to:
> video/brightnessup BRTUP 00000086 00000000
> video/brightnessdown BRTDN 00000087 00000000

[mikemora@Lorien ~]$ su
Contraseña: 
[root@Lorien mikemora]# pm-utils-bugreport-info.sh
SUSPEND LOG
Initial commandline parameters: 
Wed May 11 23:14:40 CDT 2011: Running hooks for suspend.
Running hook /usr/lib/pm-utils/sleep.d/00logging suspend suspend:
Linux Lorien 2.6.38.5-24.fc15.i686 #1 SMP Fri May 6 08:02:58 UTC 2011 i686 i686 i386 GNU/Linux
Module                  Size  Used by
fuse                   53420  3 
vboxnetadp              6092  0 
vboxnetflt             16716  0 
vboxdrv               191876  2 vboxnetadp,vboxnetflt
8021q                  15580  0 
garp                    4926  1 8021q
stp                     1399  1 garp
llc                     3684  2 garp,stp
ip6t_REJECT             3387  2 
nf_conntrack_ipv6       6637  2 
nf_defrag_ipv6          7574  1 nf_conntrack_ipv6
ip6table_filter         1227  1 
ip6_tables              9798  1 ip6table_filter
sco                    13425  2 
bnep                   12069  2 
l2cap                  45458  3 bnep
bluetooth              77680  5 sco,bnep,l2cap
arc4                    1097  2 
rtl8187                27510  0 
mac80211              201958  1 rtl8187
cfg80211              116073  2 rtl8187,mac80211
eeprom_93cx6            1255  1 rtl8187
r8169                  30200  0 
joydev                  7284  0 
sparse_keymap           2650  0 
snd_hda_codec_realtek   244982  1 
snd_hda_intel          20294  2 
snd_hda_codec          69915  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4986  1 snd_hda_codec
snd_seq                43761  0 
snd_seq_device          5118  1 snd_seq
snd_pcm                63642  2 snd_hda_intel,snd_hda_codec
snd_timer              15551  2 snd_seq,snd_pcm
microcode              11108  0 
mii                     3598  1 r8169
snd                    48042  12 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
rfkill                 13096  4 bluetooth,cfg80211
iTCO_wdt                9288  0 
i2c_i801                7957  0 
soundcore               5039  1 snd
snd_page_alloc          6112  2 snd_hda_intel,snd_pcm
iTCO_vendor_support     2082  1 iTCO_wdt
ipv6                  234769  27 ip6t_REJECT,nf_conntrack_ipv6,nf_defrag_ipv6
i915                  306050  3 
drm_kms_helper         24180  1 i915
drm                   152267  4 i915,drm_kms_helper
i2c_algo_bit            4214  1 i915
i2c_core               21384  5 i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  10797  1 i915
             total       used       free     shared    buffers     cached
Mem:       1928408     675972    1252436          0      50392     403740
-/+ buffers/cache:     221840    1706568
Swap:      2097148          0    2097148

/usr/lib/pm-utils/sleep.d/00logging suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/00powersave suspend suspend:

/usr/lib/pm-utils/sleep.d/00powersave suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/01grub suspend suspend:

/usr/lib/pm-utils/sleep.d/01grub suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend:

/usr/lib/pm-utils/sleep.d/49bluetooth suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend:
Having NetworkManager put all interaces to sleep...Done.

/usr/lib/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/56atd suspend suspend:

/usr/lib/pm-utils/sleep.d/56atd suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/56dhclient suspend suspend:

/usr/lib/pm-utils/sleep.d/56dhclient suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/75modules suspend suspend:

/usr/lib/pm-utils/sleep.d/75modules suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/90clock suspend suspend:

/usr/lib/pm-utils/sleep.d/90clock suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend:

/usr/lib/pm-utils/sleep.d/94cpufreq suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/95led suspend suspend:

/usr/lib/pm-utils/sleep.d/95led suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/95packagekit suspend suspend:

/usr/lib/pm-utils/sleep.d/95packagekit suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend:
Kernel modesetting video driver detected, not using quirks.

/usr/lib/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/99video suspend suspend:
kernel.acpi_video_flags = 0

/usr/lib/pm-utils/sleep.d/99video suspend suspend: success.
Wed May 11 23:14:40 CDT 2011: performing suspend
Wed May 11 23:40:25 CDT 2011: Awake.
Wed May 11 23:40:25 CDT 2011: Running hooks for resume
Running hook /usr/lib/pm-utils/sleep.d/99video resume suspend:

/usr/lib/pm-utils/sleep.d/99video resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/98video-quirk-db-handler resume suspend:

/usr/lib/pm-utils/sleep.d/98video-quirk-db-handler resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/95packagekit resume suspend:
method return sender=:1.172 -> dest=:1.171 reply_serial=2

/usr/lib/pm-utils/sleep.d/95packagekit resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/95led resume suspend:

/usr/lib/pm-utils/sleep.d/95led resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/94cpufreq resume suspend:

/usr/lib/pm-utils/sleep.d/94cpufreq resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/90clock resume suspend:

/usr/lib/pm-utils/sleep.d/90clock resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/75modules resume suspend:
Reloaded unloaded modules.

/usr/lib/pm-utils/sleep.d/75modules resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/56dhclient resume suspend:

/usr/lib/pm-utils/sleep.d/56dhclient resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/56atd resume suspend:
Restarting atd (via systemctl):  [  OK  ]

/usr/lib/pm-utils/sleep.d/56atd resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/55NetworkManager resume suspend:
Having NetworkManager wake interfaces back up...Done.

/usr/lib/pm-utils/sleep.d/55NetworkManager resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/49bluetooth resume suspend:

/usr/lib/pm-utils/sleep.d/49bluetooth resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/01grub resume suspend:

/usr/lib/pm-utils/sleep.d/01grub resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/00powersave resume suspend:

/usr/lib/pm-utils/sleep.d/00powersave resume suspend: success.
Running hook /usr/lib/pm-utils/sleep.d/00logging resume suspend:

/usr/lib/pm-utils/sleep.d/00logging resume suspend: success.
Wed May 11 23:40:25 CDT 2011: Finished.
======
SYS POWER
total 0
-rw-r--r-- 1 root root 4096 May 16 12:05 disk
-rw-r--r-- 1 root root 4096 May 16 12:13 image_size
-rw-r--r-- 1 root root 4096 May 16 12:13 pm_async
-rw-r--r-- 1 root root 4096 May 16 12:13 pm_test
-rw-r--r-- 1 root root 4096 May 16 12:13 pm_trace
-rw-r--r-- 1 root root 4096 May 16 12:13 pm_trace_dev_match
-rw-r--r-- 1 root root 4096 May 16 12:13 resume
-rw-r--r-- 1 root root 4096 May 16 12:05 state
-rw-r--r-- 1 root root 4096 May 16 12:13 wakeup_count
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
QUIRKDB
Kernel modesetting video driver detected, not using quirks.
location: /usr/lib/pm-utils/video-quirks
total 88
drwxr-xr-x. 2 root root  4096 Apr 22 19:05 .
dr-xr-xr-x. 7 root root  4096 Apr 22 19:05 ..
-rw-r--r--. 1 root root  5338 Mar 17 11:06 20-video-quirk-pm-acer.quirkdb
-rw-r--r--. 1 root root   899 Mar 17 11:06 20-video-quirk-pm-apple.quirkdb
-rw-r--r--. 1 root root  4259 Mar 17 11:06 20-video-quirk-pm-asus.quirkdb
-rw-r--r--. 1 root root  5942 Mar 17 11:06 20-video-quirk-pm-dell.quirkdb
-rw-r--r--. 1 root root  3671 Mar 17 11:06 20-video-quirk-pm-fujitsu.quirkdb
-rw-r--r--. 1 root root 10798 Mar 17 11:06 20-video-quirk-pm-hp.quirkdb
-rw-r--r--. 1 root root  3911 Mar 17 11:06 20-video-quirk-pm-ibm.quirkdb
-rw-r--r--. 1 root root  3680 Mar 17 11:06 20-video-quirk-pm-lenovo.quirkdb
-rw-r--r--. 1 root root 11584 Mar 17 11:06 20-video-quirk-pm-misc.quirkdb
-rw-r--r--. 1 root root   943 Mar 17 11:06 20-video-quirk-pm-samsung.quirkdb
-rw-r--r--. 1 root root  2289 Mar 17 11:06 20-video-quirk-pm-sony.quirkdb
-rw-r--r--. 1 root root  4133 Mar 17 11:06 20-video-quirk-pm-toshiba.quirkdb
======
SYS PROPS
system_firmware_version: 1.90
system_firmware_vendor: INSYDE
system_firmware_release_date: 06/04/2009
system_hardware_vendor: TOSHIBA
system_hardware_product: Satellite L305
system_hardware_version: PSLB8U-13T038
system_board_product: Portable PC
system_board_version: Base Board Version
system_board_vendor: TOSHIBA
system_hardware_primary_video_vendor: 0x8086
system_hardware_primary_video_product: 0x2a42
system_hardware_primary_video_driver: i915
system_hardware_primary_video_using_kms: true
system_kernel_version: 2.6.38.5-24.fc15.i686
======
QUIRKS USED
--quirk-no-chvt
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Apr  5 05:47 config.d
drwxr-xr-x. 2 root root 4096 Apr  5 05:47 power.d
drwxr-xr-x. 2 root root 4096 Apr  5 05:47 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux Lorien 2.6.38.5-24.fc15.i686 #1 SMP Fri May 6 08:02:58 UTC 2011 i686 i686 i386 GNU/Linux
======
RPM
kernel-2.6.38.4-20.fc15
kernel-2.6.38.5-22.fc15
kernel-2.6.38.5-24.fc15
pm-utils-1.4.1-6.fc15
hal-0.5.14-6.fc15
hal-info-20090716-4.fc15
gnome-power-manager-3.0.0-2.fc15
package vbetool is not installed
radeontool-1.5-7.fc15
hdparm-9.36-2.fc15
======
FEDORA RELEASE
Fedora release 15 (Lovelock)

-----------------------------------------------------------------
[root@Lorien mikemora]# acpi_listen
acpi_listen: can't open socket /var/run/acpid.socket: No such file or directory
Comment 5 Miguel Mora 2011-05-17 19:28:54 EDT
Although it seems to happen nothing, it's working. So I suppose It worked in some kind of way.

I'm not going to close it because I don't know what option to choose when closing.
Comment 6 Jaroslav Škarvada 2011-05-18 05:32:09 EDT
(In reply to comment #5)
> Although it seems to happen nothing, it's working. So I suppose It worked in
> some kind of way.
> 
Are the brightness keys working as expected? If not it needs to be resolved.

In this case please attach your /var/log/messages

And also try:
# modprobe toshiba_acpi
# systemctl restart acpid.service

and again try to check for the acpi events:
# acpi_listen
Comment 7 Miguel Mora 2011-05-19 13:30:27 EDT
No, they aren't. Them works before reboot, and them not works again after restart.

[root@Lorien mikemora]# modprobe toshiba_acpi
FATAL: Error inserting toshiba_acpi (/lib/modules/2.6.38.6-26.rc1.fc15.i686/kernel/drivers/platform/x86/toshiba_acpi.ko): No such device
[root@Lorien mikemora]# systemctl restart acpid.service
[root@Lorien mikemora]# acpi_listen
button/mute MUTE 00000080 00000000

var/log/messages attached.
Comment 8 Miguel Mora 2011-05-19 13:32:25 EDT
Created attachment 499905 [details]
var/log/messages file
Comment 9 Jaroslav Škarvada 2011-06-08 06:12:57 EDT
Well, I don't know much about the Toshiba Satellite laptops but I think the brightness up/down events should go through ACPI. According to comment 7, there are no events, so the problem is probably somewhere in the driver. I am reassigning it to kernel for further comments/investigation.
Comment 10 Gendre Sébastien 2011-12-27 09:48:31 EST
I have exactly the same problem with a Gigabyte i1320 laptop. 'acpi_listen' command don't react when I use theses keys. I have to create a new bug report?
Comment 11 Miguel Mora 2012-02-15 10:43:51 EST
This bug continues on F16.
Comment 12 Josh Boyer 2012-02-28 14:06:08 EST
(In reply to comment #11)
> This bug continues on F16.

Which kernel version?
Comment 13 Miguel Mora 2012-02-28 18:25:35 EST
(In reply to comment #12)
> Which kernel version?

3.2.7 actually
Comment 14 Ben Engbers 2012-06-26 07:54:57 EDT
(In reply to comment #11)
> This bug continues on F16.

I have Fedora 16 running on my Samsung NC110 netbook.

One year ago, I installed from a live iso and everything worked fine.
Last week I had to reinstall F16 (after a hardware-repair, some idiot removed my linux-installation and replaced it by a Windows-image #$%).
After installation, over 400 packages were immediately updated. It was only after the update that I saw that this bug appeared.

Conclusion:
- the bug is not restricted to Toshiba
- the bug does not appear in every F16 installation
Comment 15 Ben Engbers 2012-06-28 05:32:20 EDT
On several pages I found that brightness could be set with the following command:
echo "<value>" /sys/class/backlight/acpi_video0/brightness

The given value is reflected in /sys/class/backlight/acpi_video0/brightness and /sys/class/backlight/acpi_video0/actual_brightness but brightness is not changed.

Might it be that I should change the command to use another device (acpi_video1?)?
How can i determine the name of the used device?

Ben
Comment 16 Till Maas 2012-06-29 04:08:09 EDT
On Fedora 17 with Thinkpad X200s the bug exists as well, except that the display is very dark unless changed when the BIOS is running and the FN keys still work. As soon as Fedora takes over, the keys do not work anymore.
Comment 17 Dave Jones 2012-10-23 11:39:26 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 18 Justin M. Forbes 2012-11-14 11:38:19 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 19 Miguel Mora 2012-11-18 23:31:17 EST
I'm so sorry about the delay.

The bug continues over the new kernel releases. I've tested it since it has been reported. No additional info, I'm obtaining the same log messages.
Comment 20 Dan Mashal 2013-02-25 23:54:50 EST
This should be fixed in kernel 3.8
Comment 21 collura 2013-03-13 22:53:36 EDT
regarding comment#20:

   ya!  the brightness function keys began working 
   on toshiba satellite L355D-S7901 for me again at some point :')

   currently kernel-3.8.2-206.fc18.x86_64

   thanks
Comment 22 AlonsoG 2013-03-20 02:42:39 EDT
Continues on Fedora 18 lxde spin kernel-3.8.3-203.fc18
Lenovo G560 0679

'/sys/class/backlight/acpi_video0/actual_brightness' is set to 10 (max) by default, I can change it but value is reseted after system restart

[root@customer]# pm-utils-bugreport-info.sh 
SUSPEND LOG
cat: /var/log/pm-suspend.log: No such file or directory
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Mar 19 23:17 disk
-rw-r--r--. 1 root root 4096 Mar 19 23:17 image_size
-rw-r--r--. 1 root root 4096 Mar 19 23:17 pm_async
-rw-r--r--. 1 root root 4096 Mar 19 23:17 pm_print_times
-rw-r--r--. 1 root root 4096 Mar 19 23:17 pm_test
-rw-r--r--. 1 root root 4096 Mar 19 23:17 pm_trace
-rw-r--r--. 1 root root 4096 Mar 19 23:17 pm_trace_dev_match
-rw-r--r--. 1 root root 4096 Mar 19 23:17 reserved_size
-rw-r--r--. 1 root root 4096 Mar 19 23:17 resume
-rw-r--r--. 1 root root 4096 Mar 19 23:17 state
-rw-r--r--. 1 root root 4096 Mar 19 23:17 wakeup_count
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] shutdown reboot suspend 
======
QUIRKDB
Kernel modesetting video driver detected, not using quirks.
location: /usr/lib64/pm-utils/video-quirks
total 88
drwxr-xr-x. 2 root root  4096 Jan  9 10:15 .
dr-xr-xr-x. 7 root root  4096 Jan  9 10:15 ..
-rw-r--r--. 1 root root  5338 Oct 17 07:53 20-video-quirk-pm-acer.quirkdb
-rw-r--r--. 1 root root   899 Oct 17 07:53 20-video-quirk-pm-apple.quirkdb
-rw-r--r--. 1 root root  4259 Oct 17 07:53 20-video-quirk-pm-asus.quirkdb
-rw-r--r--. 1 root root  5942 Oct 17 07:53 20-video-quirk-pm-dell.quirkdb
-rw-r--r--. 1 root root  3671 Oct 17 07:53 20-video-quirk-pm-fujitsu.quirkdb
-rw-r--r--. 1 root root 10798 Oct 17 07:53 20-video-quirk-pm-hp.quirkdb
-rw-r--r--. 1 root root  3911 Oct 17 07:53 20-video-quirk-pm-ibm.quirkdb
-rw-r--r--. 1 root root  3680 Oct 17 07:53 20-video-quirk-pm-lenovo.quirkdb
-rw-r--r--. 1 root root 11584 Oct 17 07:53 20-video-quirk-pm-misc.quirkdb
-rw-r--r--. 1 root root   943 Oct 17 07:53 20-video-quirk-pm-samsung.quirkdb
-rw-r--r--. 1 root root  2289 Oct 17 07:53 20-video-quirk-pm-sony.quirkdb
-rw-r--r--. 1 root root  4133 Oct 17 07:53 20-video-quirk-pm-toshiba.quirkdb
======
SYS PROPS
system_firmware_version: 29CN38WW(V2.15)
system_firmware_vendor: LENOVO
system_firmware_release_date: 01/28/2011
system_hardware_vendor: LENOVO
system_hardware_product: 0679
system_hardware_version: Lenovo G560
system_board_product: Base Board Product Name
system_board_version: Base Board Version
system_board_vendor: LENOVO
system_hardware_primary_video_vendor: 0x8086
system_hardware_primary_video_product: 0x0046
system_hardware_primary_video_driver: i915
system_hardware_primary_video_using_kms: true
system_kernel_version: 3.8.3-203.fc18.x86_64
======
QUIRKS USED
--quirk-no-chvt
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Jul 19  2012 config.d
drwxr-xr-x. 2 root root 4096 Jul 19  2012 power.d
drwxr-xr-x. 2 root root 4096 Jul 19  2012 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux customer 3.8.3-203.fc18.x86_64 #1 SMP Mon Mar 18 12:59:28 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
======
RPM
kernel-3.6.10-4.fc18
kernel-3.8.3-203.fc18
pm-utils-1.4.1-22.fc18
package hal is not installed
package hal-info is not installed
package gnome-power-manager is not installed
package vbetool is not installed
package radeontool is not installed
package hdparm is not installed
======
FEDORA RELEASE
Fedora release 18 (Spherical Cow)
Comment 23 Juan Dayer 2013-04-06 22:58:28 EDT
Hi, in another Toshiba the problem persists.
Details:

# pm-utils-bugreport-info.sh
SUSPEND LOG
cat: /var/log/pm-suspend.log: No such file or directory
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Apr  7 04:57 disk
-rw-r--r--. 1 root root 4096 Apr  7 04:57 image_size
-rw-r--r--. 1 root root 4096 Apr  7 04:57 pm_async
-rw-r--r--. 1 root root 4096 Apr  7 04:57 pm_print_times
-rw-r--r--. 1 root root 4096 Apr  7 04:57 pm_test
-rw-r--r--. 1 root root 4096 Apr  7 04:57 pm_trace
-rw-r--r--. 1 root root 4096 Apr  7 04:57 pm_trace_dev_match
-rw-r--r--. 1 root root 4096 Apr  7 04:57 reserved_size
-rw-r--r--. 1 root root 4096 Apr  7 04:57 resume
-rw-r--r--. 1 root root 4096 Apr  7 04:57 state
-rw-r--r--. 1 root root 4096 Apr  7 04:57 wakeup_count
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] shutdown reboot suspend 
======
QUIRKDB
Kernel modesetting video driver detected, not using quirks.
location: /usr/lib64/pm-utils/video-quirks
total 88
drwxr-xr-x. 2 root root  4096 Jan  9 18:15 .
dr-xr-xr-x. 7 root root  4096 Jan  9 18:15 ..
-rw-r--r--. 1 root root  5338 Oct 17 16:53 20-video-quirk-pm-acer.quirkdb
-rw-r--r--. 1 root root   899 Oct 17 16:53 20-video-quirk-pm-apple.quirkdb
-rw-r--r--. 1 root root  4259 Oct 17 16:53 20-video-quirk-pm-asus.quirkdb
-rw-r--r--. 1 root root  5942 Oct 17 16:53 20-video-quirk-pm-dell.quirkdb
-rw-r--r--. 1 root root  3671 Oct 17 16:53 20-video-quirk-pm-fujitsu.quirkdb
-rw-r--r--. 1 root root 10798 Oct 17 16:53 20-video-quirk-pm-hp.quirkdb
-rw-r--r--. 1 root root  3911 Oct 17 16:53 20-video-quirk-pm-ibm.quirkdb
-rw-r--r--. 1 root root  3680 Oct 17 16:53 20-video-quirk-pm-lenovo.quirkdb
-rw-r--r--. 1 root root 11584 Oct 17 16:53 20-video-quirk-pm-misc.quirkdb
-rw-r--r--. 1 root root   943 Oct 17 16:53 20-video-quirk-pm-samsung.quirkdb
-rw-r--r--. 1 root root  2289 Oct 17 16:53 20-video-quirk-pm-sony.quirkdb
-rw-r--r--. 1 root root  4133 Oct 17 16:53 20-video-quirk-pm-toshiba.quirkdb
======
SYS PROPS
system_firmware_version: Version 3.60
system_firmware_vendor: TOSHIBA
system_firmware_release_date: 04/26/2007
system_hardware_vendor: TOSHIBA
system_hardware_product: SATELLITE PRO U200
system_hardware_version: PLUA1E-011001SP
system_board_product: Portable PC
system_board_version: Version A0
system_board_vendor: TOSHIBA
system_hardware_primary_video_vendor: 0x8086
system_hardware_primary_video_product: 0x27a2
system_hardware_primary_video_driver: i915
system_hardware_primary_video_using_kms: true
system_kernel_version: 3.8.5-201.fc18.x86_64
======
QUIRKS USED
--quirk-no-chvt
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Jul 19  2012 config.d
drwxr-xr-x. 2 root root 4096 Jul 19  2012 power.d
drwxr-xr-x. 2 root root 4096 Jul 19  2012 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux ugiantin.localdomain 3.8.5-201.fc18.x86_64 #1 SMP Thu Mar 28 21:01:19 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
======
RPM
kernel-3.6.10-4.fc18
kernel-3.8.5-201.fc18
pm-utils-1.4.1-22.fc18
package hal is not installed
package hal-info is not installed
package gnome-power-manager is not installed
package vbetool is not installed
package radeontool is not installed
package hdparm is not installed
======
FEDORA RELEASE
Fedora release 18 (Spherical Cow)
======
Comment 24 Fedora End Of Life 2013-07-04 01:58:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Till Maas 2013-07-04 02:08:23 EDT
Still broken in Fedora 19 with x86_64 and i686 on an X40 and X200s.
Btw. it also does not seem to work when gdm is launched.
Comment 26 Michele Baldessari 2013-11-24 08:12:16 EST
Hi all, 

as 3.11 was released sometime in Sep. Could you confirm is the issue still persists with a 3.11.x kernel?

Thanks,
Michele
Comment 27 BBQdave 2013-11-24 11:04:33 EST
Yes, I have this issue.

Toshiba Satellite c655-s5503

Fedora 20-beta (64-bit) Gnome 3 - up to date.

Function keys for screen brightness do not work.

Screen brightness can be adjusted with Gnome 3 screen brightness application - at top bar and in System Settings > Power > Screen brightness.
Comment 28 Rolle 2013-11-29 16:46:23 EST
The same here with Laptop Fujitsu Lifebook E8420

lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
Comment 29 Guillermo 2013-12-07 00:05:55 EST
Hi I have similar problems with a Toshiba satellite P75-A7200

The brightness function keys and other Fn Functions are mapped to something else than what they should. And today this issue got even worse. The numpad of the keyboard is not working it seems like the keys on the numpad are sending the wrong key scan code.

This happened with the latest karenel update 3.11.9-200.fc19.x86_64
But if I boot using the previous kernel, the problem persist...So I am not sure what is going on now.

Previously I managed to fix it using keymap rules file in /usr/lib/udev/keymaps/
But this time it seems to be a different problem with the numpad.
Comment 30 BBQdave 2013-12-30 11:17:58 EST
Problem continues with fresh install of F20 (64-bit) Gnome 3 on Toshiba Satellite c655-s5503 and Lenovo Thinkpad T400.

Function keys for screen brightness do not work.

Screen brightness can be adjusted with Gnome 3 screen brightness application - at top bar and in System Settings > Power > Screen brightness.

@ Guillermo, I avoid trouble with numpad (Toshiba Satellite c655-s5503) with num-lock off. I disengage num-lock before shutting down or rebooting notebook. After start up or reboot, I log in to my account and engage num-lock, functions properly and retains through wake from sleep. I only have problems with numpad, if I leave num-lock engaged through shutdown and reboot.
Comment 31 bhadram 2014-01-01 12:08:50 EST
My system freezes after installing the kernel kernel-3.12.6-200.fc19.x86_64 and works fine in kernel-3.11.10-200.fc19.x86_64.
I can able to reproduce by pressing Fn key along with Home for increasing brightness. It just freezes no keys in keyboard no external mouse not thinkpad mouse works
Think pad W520.
Comment 32 Benjamin Gerfelder 2014-01-19 17:03:28 EST
Have the same problem on an Asus Zenbook UX31A, and an Acer Aspire One 756.


Both systems did work absolutely fine with a fresh install of Fedora20, and the hotkey issue came on both when the system performed the first update (Jan 17th 2014), which included kernel 3.12.7-300.fc20.x86_64. (If needed, I can provide a full log from yum on what got updated.)

Symptoms on both systems then were that brightness adjustment stopped working by using the hotkeys. The slider (in gnome-shell system status menu, and power management screen) did still work.



The Acer Aspire did get another update this morning (Jan 19th), and since then the system is unable to adjust screen brightness even through the status menu slider or power management screen, i.e. no way to dim the screen to conserve power at all.

I dont know what the effects of that update on the Asus would be, as it is my production system and the possibility of being completely without screen brightness adjustment is not an option there.
Comment 33 Benjamin Gerfelder 2014-01-22 17:31:11 EST
Further testing on the Acer AO756 reveals that, for some reason, I now have to supply the following kernel parameters which I did not have to use before:

acpi_osi=Linux

This will stop the Gnome brightness OSD from appearing when hotkeys are pressed, but bring back the full functionality of the keys.

acpi_backlight=vendor

When used in conjunction with above parameter, this will also bring back functionality of the brightness slider in gnome system status menu. OSD is still not showing, but this situation is sufficient as a workaround.



One thing to note, the hotkeys appear to have a different "scaling" compared to the gnome slider. They provide the typical values that I used to see (from very low brightness to full in about 7 or so steps).

The gnome slider however does have a lot more scaling steps, and is even able to fully disable backlight (i.e. screen off).

That, and it reacts in a "real-time" feeling. The keys used to do this, though they now appear very sluggish, about half a second to adjust brightness.
Comment 34 Justin M. Forbes 2014-03-10 10:50:39 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 35 Benjamin Gerfelder 2014-03-11 09:08:22 EDT
Issue still present on F20 with kernel 3.13.5-200.fc20.x86_64 on Acer Aspire One 756 and Asus Zenbook Prime UX31A.

Cannot test F19, but assume problem still exists there as reverting to default kernel on F20 fixes the issue.
Comment 36 Richard Foster 2014-03-15 12:11:11 EDT
Updated fedora 19 this morning and issue still present on toshiba satellite laptop.

Linux 3.13.5-103.fc19.x86_64
KDE version 4.11.5
Comment 37 Hans de Goede 2014-04-26 03:35:26 EDT
(In reply to Benjamin Gerfelder from comment #33)
> Further testing on the Acer AO756 reveals that, for some reason, I now have
> to supply the following kernel parameters which I did not have to use before:
> 
> acpi_osi=Linux
> 
> This will stop the Gnome brightness OSD from appearing when hotkeys are
> pressed, but bring back the full functionality of the keys.
> 
> acpi_backlight=vendor
> 
> When used in conjunction with above parameter, this will also bring back
> functionality of the brightness slider in gnome system status menu. OSD is
> still not showing, but this situation is sufficient as a workaround.

What happens if you only use acpi_backlight=vendor without the acpi_osi=Linux ?
Comment 38 poma 2014-04-30 15:05:57 EDT
Possible duplicates - Brightness related:

Brightness/backlight keys (fn+F8, fn+F9) does not work on lenovo T530 out of the box
https://bugzilla.redhat.com/show_bug.cgi?id=947976

Acer Aspire V5-171-9620 display brightness doesn't change using keyboard Fn keys (but onscreen slider moves)
https://bugzilla.redhat.com/show_bug.cgi?id=983342

Dell brightness keys register multiple times
https://bugzilla.redhat.com/show_bug.cgi?id=986653

unable to adjust monitor brightness with nouveua, Toshiba, and 3.11.0 kernel
https://bugzilla.redhat.com/show_bug.cgi?id=999684

Cannot adjust brightness anymore using Fn keys with F19 x86_64
https://bugzilla.redhat.com/show_bug.cgi?id=1012674

Brightness does not change on Intel graphics (using keys or slider) since about 3.9 kernels
https://bugzilla.redhat.com/show_bug.cgi?id=1025690

Brightness keys stopped working between kernel 3.12.10-300 and 3.13.3-201 on Asus EEE PC
https://bugzilla.redhat.com/show_bug.cgi?id=1067181

T530: Unsupported brightness interface
https://bugzilla.redhat.com/show_bug.cgi?id=1089545

Can't change display brightness on HP EliteBook 8470p
https://bugzilla.redhat.com/show_bug.cgi?id=1093120
Comment 39 Justin M. Forbes 2014-05-21 15:30:41 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 40 Jakub 2014-05-22 22:37:11 EDT
Still present on Fedora 20 3.14.4-200.fc20 on Acer Aspire 5750G.

Brightness keys don't show up in acpi_listen (had to pass acpi=force to use this) just like many other FN keys. acpi_osi=Linux makes brightness keys work the way they do in Windows, KDE system slider doesn't update however. Also it seems to store different brightness value - when pressing FN keys with slider earlier used brightness sharply changes. 
acpi_video0 is not present, intel_backlight is, settings inside intel_backlight do update when brightness is changed either way. Brightness setting isn't persistent across reboots.
Comment 41 Hans de Goede 2014-05-23 02:58:29 EDT
(In reply to Jakub from comment #40)
> Still present on Fedora 20 3.14.4-200.fc20 on Acer Aspire 5750G.
> 
> Brightness keys don't show up in acpi_listen (had to pass acpi=force to use
> this) just like many other FN keys. acpi_osi=Linux makes brightness keys
> work the way they do in Windows, KDE system slider doesn't update however.
> Also it seems to store different brightness value - when pressing FN keys
> with slider earlier used brightness sharply changes. 
> acpi_video0 is not present, intel_backlight is, settings inside
> intel_backlight do update when brightness is changed either way. Brightness
> setting isn't persistent across reboots.

Jakub, it sounds like what you are seeing is a duplicate of bug 1012674. Can you please download and install this kernel: http://people.fedoraproject.org/~jwrdegoede/rhbz1093171/

Note to install kernels always use "rpm -ivh kernel...rpm", so that you keep your other kernels.

Once installed reboot into this kernel without using any special kernel cmdline options (if you have them in grub.cfg remove them), and see if that fixes things for you.

If this kernel fixes things, add yourself to the CC of bug 1012674 to track further progress of this. If it does not fix things please walk through: http://hansdegoede.livejournal.com/13889.html
and file a new bug with all the info requested there.
Comment 42 Hans de Goede 2014-05-23 03:04:09 EDT
Hi All,

I'm sorry, but this bug is not working, as Jakub's comment has clearly shown this bug has become a collection bin for "my backlight is broken too" comments, for people with vastly different laptop models, and thus with likely vastly different causes for the issue they are seeing.

Please don't take this the wrong way, closing this bug does not mean that we does not care, on the contrary I've been spending 20 hours / week lately to get various backlight issues fixed.

But in order to properly help people, we need to properly keep track of the various backlight issues people are seeing, and this bug is not helping there. So I'm going to close it.

If you're still seeing backlight issues (or are starting to see backlight issues) with the latest F19 / F20 kernel update, please walk through: http://hansdegoede.livejournal.com/13889.html
and file a NEW bug with all the info requested there. Please clearly name your laptop model in the Summary of the bug so that other people will know the bug is only for that specific laptop model.

Thanks & Regards,

Hans
Comment 43 Hans de Goede 2014-05-23 03:08:09 EDT
(In reply to Hans de Goede from comment #41)
> Jakub, it sounds like what you are seeing is a duplicate of bug 1012674. Can
> you please download and install this kernel:
> http://people.fedoraproject.org/~jwrdegoede/rhbz1093171/

p.s.

1) The url is correct despite the bz number being wrong, that build contains fixes for both bug 1093171 and bug 1012674
2) If this does fix things for you, please also add a note to bug 1012674, if the patches help with more then 1 laptop model I'll likely throw the relevant patches into the official Fedora builds.
3) If things don't work and you end up walking through http://hansdegoede.livejournal.com/13889.html please also use this kernel for the tests

Note You need to log in before you can comment on or make changes to this bug.